RelayAPI

Get post-level metrics from the platform API

GET
/v1/analytics/platform/posts
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

account_id*string

Social account ID

from_date?string

Start date (YYYY-MM-DD). Defaults to 30 days ago

to_date?string

End date (YYYY-MM-DD). Defaults to today

limit?integer

Number of posts to return

Default20
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.relayapi.dev/v1/analytics/platform/posts?account_id=string"
{
  "data": [
    {
      "platform_post_id": "string",
      "content": "string",
      "published_at": "string",
      "media_url": "string",
      "media_type": "string",
      "impressions": 0,
      "reach": 0,
      "likes": 0,
      "comments": 0,
      "shares": 0,
      "saves": 0,
      "clicks": 0,
      "engagement_rate": 0,
      "platform_url": "string"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo